/*
 * Custom code goes here.
 * A template should always ship with an empty custom.css
 */


/* ======= meus estilos =========== */

.ApRawHtml.header_icon_int_store.block {
    margin-bottom: 0;
}

#btn-whatsapp-floating,
#btn-whatsapp-floating a {    
	font-size: 29px;    
	color: #FFF;
}

#btn-whatsapp-floating {
	position: fixed;
	right: 10px;
	bottom: 67px;
	z-index: 9999;
	font-weight: normal;
	background-color: #009E5D;
	padding: 7px 10px;
	border-radius: 100%;
	line-height: 30px;    
	box-shadow: 0 0 5px 0 rgba(0,0,0,0.6);
}

/* a tag <i> nao pode ser vazia, o editor de html do prestashop nao aceita, por isso inserido um span dentro */
#menu-whatsapp-floating a i.fa span,
#btn-whatsapp-floating a i.fa span {
	display: none;
}

/* ---------- menu whatsapp ---------- */
#menu-whatsapp-floating {
	right: 10px;
    bottom: 67px;
    z-index: 9999;
	position: fixed;
}


#menu-whatsapp-floating .menu {
	position: relative;
	width: 100%;
	height: 100%;
}

#menu-whatsapp-floating .menu > div
{
	background-color: #009E5D;
    color: #FFF;
    border-radius: 20px;
    position: absolute;
    top: -111px;
    left: -233px;
    width: 247px;
    display: none;
    padding: 10px;
    box-shadow: 0 0 5px 0 rgb(0 0 0 / 60%);
}

#menu-whatsapp-floating .menu .close_w {
	position: absolute;
    top: -14px;
    left: -10px;
    font-size: 18px;
    background: #333;
    border-radius: 100%;
    padding: 4px 6px;
    line-height: 18px;
    cursor: pointer;
}

#menu-whatsapp-floating .menu > div table {
	font-size: 14px;
}

#menu-whatsapp-floating .menu > div table td {
	padding: 0;
	text-align: left;	
	padding-bottom: 5px;
}

#menu-whatsapp-floating .menu > div table td a {
	color: #FFF;
	padding-left: 20px;
	font-size: 14px;
}

#menu-whatsapp-floating .menu > div table td a i.fa {
	font-size: 18px;
}

#menu-whatsapp-floating a.main {
	font-weight: 400;
	background-color: #009E5D;
	padding: 8px 10px;
	border-radius: 100%;
	line-height: 26px;
	box-shadow: 0 0 5px 0 rgb(0 0 0 / 60%);
	color: #FFF;
	font-size: 29px;
	cursor: pointer;
}

@media(min-width: 800px) {
	#menu-whatsapp-floating .menu > div {
		top: -122px;
	    left: -319px;
	    width: 347px;
	}
}

/* ---------- /menu whatsapp ---------- */

.product-flags .product-flag.on-sale {
    color: #fff;
    border-color: #fff;
    font-size: 14px;
    font-weight: normal;
    background-color: #f39d72;
    padding: 6px 9px;
    border-radius: 5px;
}


/* ajustar menu de categorias => após abandono do menu "Shop" */
.leo-megamenu .navbar-nav > li > a {
	padding: 7px 10px;
    font-size: 14px;
}


/* esconder x nos circulos de cores quando nao tiver estoque */
.product-variants > .product-variants-item ul li.outstock .color:after {
	display: none !important;
}

.product-variants > .product-variants-item .color {
	background-size: cover;
}

/* esconder coluna de categorias de produtos nas pagina do blog */
#module-leoblog-list .block-categories.block.block-highlighted {
	display: none !important;
}

/* cor botao checkout */
#payment-confirmation button[type="submit"],
#payment-confirmation button[type="submit"]:hover {
	background: #009E5D!important;
}

/* correção de tamanho de imagem na descrição do produto */
@media(max-width: 1100px) {
	#product .tab-content img {
		height: 100%;
	}
}

/* aumentar fonte dos titulos das formas de entrega */
#checkout .payment-option > label > span {
	font-size: 16px;
}


/* listagem de produtos nao cortar titulo do produto */
.thumbnail-container .product-title a {
	-webkit-line-clamp: initial;
    -webkit-box-orient: initial;
}

.plist-default .thumbnail-container .product-flags {
    width: 100%;
    left: 0;
}

.product-flag.discount.flag_promocao {
    display: block;
    background-color: #F29E72;
    color: #fff;
    font-size: 13px;
    padding: 5px 7px;
    border-radius: 5px;
}